Goal: Align Community Liaison and Developer Relations project management practices
Closed, ResolvedPublic


This goal was initially planned as "Plan for adoption of Phabricator across WMF Community Engagement teams". However, that is a big bite, I have other big bites to solve this quarter, and it looks like it is being a busy quarter.

Community Liaisons and Developer Relations already share some processes, we both use Phabricator although at different degrees, and ultimately we both need to make happy the same WMF processes and some overlapping areas of our communities.

We don't need to have identical processes. For instance, CL deals with more sensitive information than DevRel, and are a lot more plugged into WMF Engineering projects.

Measurements of success coming soon.

Qgil created this task.Oct 20 2015, 3:46 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil claimed this task.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 3:46 PM
Qgil renamed this task from Goal: Align Community Liaisons and Developer Relations project management practices to Goal: Align Community Liaison and Developer Relations project management practices.Oct 20 2015, 3:56 PM
Qgil set Security to None.

Alignment at the quarterly goals level is happening via T119387: Community Liaison and Developer Relation quarterly goals for January - March 2016 and T114137#1831097.

The next steps are workboard and tasks. I have started to look at the Community-Liaisons workboard, while casually looking at candidates for goals and while trying to organize tasks related to the WMF product development process (now also under WMF-Product-Development-Process). I have suggested some blocked/blocked-by relationships, I have asked about some tasks with descriptions unclear for outsiders, also about potential duplicated / completed / stalled tasks... Needless to say, I'm not intending to do this on a regular basis. Just trying to show by doing to @Rdicerb and the liaisons.

As soon as the quarterly goals planning is over, I want to document how DevRel works on workboards and tasks, to check what would make sense to be adopted by CL, and what can be improved based on their feedback.

Qgil moved this task from Backlog to Doing on the DevRel-December-2015 board.Dec 3 2015, 12:33 PM
Qgil moved this task from Backlog to Doing on the DevRel-January-2016 board.Jan 12 2016, 1:50 AM

I think it is time to align at the Phabricator level. What about this:

  1. All liaisons would have a list of tasks assigned to them reflecting at least their non-core work (tasks with a clear completion, as opposed to regular processes and routines) and their current priority.
  2. The Community-Liaisons team would start using monthly sprints starting with #Liaison-January-2016. We would use the same columns as in DevRel-January-2016, although feedback for improvement is welcomed. During January the goal is simply to tag the tasks that liaisons are currently working on. We would start reflecting monthly planning in February.
  3. The Community-Liaisons workboard would be organized like the Developer-Relations workboard, including a column for team radar and then columns for each quarter.
Qgil added a comment.Jan 13 2016, 1:30 AM

We discuss the proposal above at the Community-Liaisons meeting today, and we agreed to try this out.

  • Liaisons-January-2016, Liaisons-February-2016, and Liaisons-March-2016 have been created. Liaisons can start tagging ongoing tasks accordingly.
  • Community-Liaisons workboard has now columns for Team radar and every quarter. I have started sorting out task accordingly. Please help moving tasks from To-Do (column to be removed) and Backlog to the most appropriate quarter. In case of doubt, the task should stay in Backlog.
Qgil raised the priority of this task from Normal to High.Jan 14 2016, 3:35 AM

To-Do column in Community-Liaisons workboard is now gone.

Kudos to @Quiddity for being the first liaison adding the Liaisons-January-2016 label to a task. :)

Qgil moved this task from Backlog to Doing on the Liaisons-January-2016 board.Jan 16 2016, 7:47 PM
Qgil moved this task from Backlog to Doing on the Liaisons-February-2016 board.Feb 2 2016, 1:47 PM
Qgil added a comment.Feb 10 2016, 1:31 PM

Under the Technical Collaboration umbrella, today the Community-Liaisons and Developer-Relations share a way of working based on individual and team quarterly goals, both manage team and monthly sprint workboards, and both share a weekly meeting.

We will keep fine tuning as we go, but for now this is good enough to resolve this task.

Qgil closed this task as Resolved.Feb 10 2016, 1:31 PM